package cn.com.qmth.stmms.ms.admin.api;

import cn.com.qmth.stmms.ms.admin.dto.SysAdjustLevelDTO;
import cn.com.qmth.stmms.ms.admin.service.ToolService;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import com.alibaba.fastjson.JSONObject;
import org.apache.http.HttpStatus;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 小工具api
 */
@RestController
@RequestMapping("/api/tool")
public class ToolApi {

    @Resource
    private ToolService toolService;

    /**
     * 查询调档数据
     *
     * @param workId  工作ID
     * @param subject 科目
     */
    @RequestMapping("/list")
    public String listAdjustLevels(Long workId, Subject subject) {
        JSONObject object = new JSONObject();
        try {
            object.put("code", HttpStatus.SC_OK);
            List<SysAdjustLevelDTO> list = toolService.listAdjustLevels(workId, subject);
            object.put("data", list);
        } catch (Exception e) {
            object.put("code", HttpStatus.SC_INTERNAL_SERVER_ERROR);
            object.put("data", e.getMessage());
        }
        return JSONObject.toJSONString(object);
    }

    /**
     * 调档操作
     *
     * @param workId  工作ID
     * @param subject 科目
     * @param json    list内容
     */
    @RequestMapping("/deal")
    public boolean deal(Long workId, Subject subject, String json) {
        List<SysAdjustLevelDTO> list = JSONObject.parseArray(json, SysAdjustLevelDTO.class);
        toolService.deal(workId, subject, list);
        return true;
    }
}
