package cn.com.qmth.stmms.ms.admin.api;

import cn.com.qmth.stmms.ms.admin.service.TrialService;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @Description: 试评任务controller
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/11/4
 */
@RestController
@RequestMapping("api/trial")
public class TrialController {

    @Resource
    TrialService trialService;

    /**
     * 开始试评任务
     *
     * @param workId  工作ID
     * @param subject 科目
     */
    @GetMapping("/startTrial")
    public void startTrial(
            @RequestParam Long workId,
            @RequestParam Subject subject) throws Exception {
        trialService.startTrial(workId, subject);
    }

    /**
     * 结束试评任务，保留标准卷
     *
     * @param workId  工作ID
     * @param subject 科目
     */
    @GetMapping("/finishTrial")
    public boolean finishTrial(
            @RequestParam Long workId,
            @RequestParam Subject subject) {
        trialService.finishTrial(workId, subject);
        return true;
    }

    /**
     * 检查任务状态
     *
     * @param workId  工作ID
     * @param subject 科目
     */
    @GetMapping("/checkMissionStatus")
    public void checkMissionStatus(
            @RequestParam Long workId,
            @RequestParam Subject subject) throws Exception {
        trialService.checkMissionStatus(workId, subject);
    }
}
