package cn.com.qmth.stmms.ms.commons.utils;

import org.apache.commons.lang.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * @Date: 2021/5/31.
 */
public class ServletUtil {

    /**
     * 获取HttpServletRequest
     */
    public static HttpServletRequest getRequest() {
        ServletRequestAttributes servletRequestAttributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        return servletRequestAttributes.getRequest();
    }

    /**
     * 获取用户ID
     */
    public static Long getUserId() {
        HttpServletRequest request = getRequest();
        String userId = request.getHeader("userId");
        if (StringUtils.isBlank(userId)) {
            throw new RuntimeException("未获取到userID");
        }
        return StringUtils.isBlank(userId) ? null : Long.valueOf(userId);
    }

    /**
     * 获取工作ID
     */
    public static Long getWordId() {
        HttpServletRequest request = getRequest();
        // 后台取值为workId
        String workId = request.getHeader("workId");
        if (StringUtils.isBlank(workId)) {
            // 采集端取值为examId
            workId = request.getHeader("examId");
        }
        if (StringUtils.isBlank(workId)) {
            throw new RuntimeException("未获取到workID");
        }
        return Long.valueOf(workId);
    }
}
