package cn.com.qmth.stmms.ms.core.domain;

import cn.com.qmth.stmms.ms.core.domain.enums.CheckDataStatusEnum;
import cn.com.qmth.stmms.ms.core.domain.enums.CheckItemEnum;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name = "check_data")
public class CheckData {

    @Id
    @GeneratedValue
    private Long id;

    private Long workId;

    @Enumerated(value = EnumType.STRING)
    private CheckItemEnum checkItem;

    private Integer paramValue;

    @Enumerated(value = EnumType.STRING)
    private CheckDataStatusEnum status;

    private Boolean result;

    private int errorCount;

    private String content;

    private Date startTime;

    private Date endTime;

    public CheckData() {
    }

    public CheckData(Long workId, CheckItemEnum checkItem, Integer paramValue) {
        this.workId = workId;
        this.checkItem = checkItem;
        this.paramValue = paramValue;
        this.status = CheckDataStatusEnum.INIT;
        this.startTime = new Date();
    }

    /**
     * 重置参数
     */
    public void resetData(Integer paramValue) {
        this.setParamValue(paramValue);
        this.setStatus(CheckDataStatusEnum.INIT);
        this.setResult(null);
        this.setErrorCount(0);
        this.setContent(null);
        this.setStartTime(new Date());
        this.setEndTime(null);
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public CheckItemEnum getCheckItem() {
        return checkItem;
    }

    public void setCheckItem(CheckItemEnum checkItem) {
        this.checkItem = checkItem;
    }

    public Integer getParamValue() {
        return paramValue;
    }

    public void setParamValue(Integer paramValue) {
        this.paramValue = paramValue;
    }

    public CheckDataStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CheckDataStatusEnum status) {
        this.status = status;
    }

    public Boolean getResult() {
        return result;
    }

    public void setResult(Boolean result) {
        this.result = result;
    }

    public int getErrorCount() {
        return errorCount;
    }

    public void setErrorCount(int errorCount) {
        this.errorCount = errorCount;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
