package cn.com.qmth.stmms.ms.core.domain;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 考生信息
 * Created by zhengmin on 2016/9/21.
 */
@Entity
@Table(indexes = {
        @Index(name = "idx_student_name", columnList = "name"),
        @Index(name = "exam_number", columnList = "examNumber", unique = true)})
public class Student implements Serializable {


    private static final long serialVersionUID = -8190655998628521750L;
    @Id
    @GeneratedValue
    private Long id;

    private String name;


    /**
     * 生源地
     */
    private String sourceName;

    private String examNumber;

    private String areaCode;

    private String areaName;

    private Long workId;

    private boolean isAbsent = false;

    private String examRoom;

    /**
     * 上传状态。标识科目的试卷是否上传，格式为：SC:1,SX:1,SM:0
     */
    private String uploadStatus = "SX:0,SC:0,SM:0";

    /**
     * 关联考生账号
     */
    private String relateExamNumber;

    private String school;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Student(String name, String examNumber, String areaName, String areaCode, Long workId, String examRoom, String sourceName, String school) {
        this.name = name;
        this.examNumber = examNumber;
        this.areaName = areaName;
        this.areaCode = areaCode;
        this.workId = workId;
        this.examRoom = examRoom;
        this.sourceName = sourceName;
        this.relateExamNumber = examNumber;
        this.school = school;
    }

    public Student() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public boolean isAbsent() {
        return isAbsent;
    }

    public void setAbsent(boolean isAbsent) {
        this.isAbsent = isAbsent;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getUploadStatus() {
        return uploadStatus;
    }

    public void setUploadStatus(String uploadStatus) {
        this.uploadStatus = uploadStatus;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getRelateExamNumber() {
        return relateExamNumber;
    }

    public void setRelateExamNumber(String relateExamNumber) {
        this.relateExamNumber = relateExamNumber;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }
}
