package cn.com.qmth.stmms.ms.core.domain.enums;

import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;

import java.util.*;

/**
 * 内置账号
 */
public enum BuiltInAccountEnum {

    /**
     * 纪检员
     */
    INSPECTION("INSPECTION", "纪检员", 1),
    /**
     * 质检员
     */
    QC("QC", "质检员", 1),
    /**
     * 采集账号
     */
    SCAN("SCAN", "采集员", 10);

    private String code;

    private String name;

    // 生成账号个数
    private int count;

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public int getCount() {
        return count;
    }

    BuiltInAccountEnum(String code, String name, int count) {
        this.code = code;
        this.name = name;
        this.count = count;
    }

    public static BuiltInAccountEnum findById(String code) {
        for (BuiltInAccountEnum account : BuiltInAccountEnum.values()) {
            if (Objects.equals(account.code, code)) {
                return account;
            }
        }
        return null;
    }

    public static List<JSONObject> listAccounts() {
        List<JSONObject> list = new ArrayList<>();
        for (BuiltInAccountEnum account : BuiltInAccountEnum.values()) {
            JSONObject object = new JSONObject();
            object.put("code", account.code);
            object.put("name", account.name);
            object.put("count", account.count);
            object.put("type", account.name());
            list.add(object);
        }
        return list;
    }

}
