package cn.com.qmth.stmms.ms.core.domain.enums;

import com.alibaba.fastjson.JSONObject;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 参数设置类型
 */
public enum ParamSettingTypeEnum {

    /**
     * 采集参数
     */
    COLLECT("COLLECT", "采集参数"),
    /**
     * 粗分档参数
     */
    ROUGH_LEVEL("ROUGH_LEVEL", "粗分档参数"),
    /**
     * 细分档参数
     */
    LEVEL("LEVEL", "细分档参数"),
    /**
     * 打分参数
     */
    SCORE("SCORE", "打分参数");

    private String code;

    private String name;

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


    ParamSettingTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static ParamSettingTypeEnum findById(String code) {
        for (ParamSettingTypeEnum account : ParamSettingTypeEnum.values()) {
            if (Objects.equals(account.code, code)) {
                return account;
            }
        }
        return null;
    }

    public static List<JSONObject> list() {
        List<JSONObject> list = new ArrayList<>();
        for (ParamSettingTypeEnum account : ParamSettingTypeEnum.values()) {
            JSONObject object = new JSONObject();
            object.put("code", account.code);
            object.put("name", account.name);
            object.put("type", account.name());
            list.add(object);
        }
        return list;
    }

}
