package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.ChangeLevel;
import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ChangeLevelRepo extends JpaRepository<ChangeLevel, Long>, JpaSpecificationExecutor {

    @Query("select s from ChangeLevel s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3 and s.auditStatus = 1")
    List<ChangeLevel> findByWorkIdAndSubjectAndAuditStatusAndStage(Long workId, String subject, MarkStage stage);

    @Query("select s from ChangeLevel s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3 and s.paperId = ?4 and s.auditStatus = 1 and s.isCurr = 1")
    ChangeLevel findByWorkIdAndSubjectAndPaperIdAndAuditStatusAndStageAndIsCurr(Long workId, String subject, MarkStage stage, Long paperId);

    void deleteByWorkIdAndSubjectAndStage(Long workId, String subject, MarkStage stage);

    @Query("select s from ChangeLevel s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3 and s.paperId = ?4 and s.auditStatus = 1 and s.isCurr = 1")
    ChangeLevel findByWorkIdAndSubjectAndStageAndPaperIdAndAuditStatusAndIsCurr(Long workId, String subject, MarkStage stage, Long paperId);

    @Query("select s from ChangeLevel s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3 and s.paperId = ?4")
    List<ChangeLevel> findAllByWorkIdAndSubjectAndStageAndPaperId(Long workId, String subject, MarkStage stage, Long paperId);

    @Query("select s from ChangeLevel s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3 and s.paperId = ?4 and s.auditStatus = 0")
    ChangeLevel findByWorkIdAndSubjectAndStageAndPaperId(Long workId, String subject, MarkStage stage, Long paperId);

    List<ChangeLevel> findByWorkIdAndSubjectAndAuditStatusAndStage(Long workId, String subject, int auditStatus, MarkStage stage);
}
