package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.ExamQuestion;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by zhengmin on 2016/10/9.
 */
public interface ExamQuestionRepo extends JpaRepository<ExamQuestion, Long> {

    List<ExamQuestion> findByWorkIdAndSubject(Long workId, Subject subject);

    @Query("select count(distinct s.areaCode) from ExamQuestion s where s.workId = ?1")
    long countByWorkId(Long workId);

    long countByWorkIdAndAreaCode(Long workId, String areaCode);

    List<ExamQuestion> findByWorkIdAndAreaCode(Long workId, String areaCode);

    ExamQuestion findByWorkIdAndSubjectAndAreaCode(Long workId, Subject subject, String areaCode);

    void deleteByWorkId(Long workId);

    void deleteByWorkIdAndSubject(Long workId, Subject subject);

    List<ExamQuestion> findAllByAreaCodeAndSubjectAndWorkId(String areaCode, Subject subject, Long workId);

    @Query("select distinct s.areaCode, s.areaName from ExamQuestion s where s.workId = ?1")
    List<Object[]> findByWorkId(Long workId);

    @Query(value = "select id, area_name areaName, name from exam_question eq where eq.id in (select question_id from paper p where p.work_id = ? and p.subject = ? and p.is_sample = 1 and p.is_missing = 0)", nativeQuery = true)
    List<Object[]> listByWorkIdAndSubject(Long workId, String subject);

    void deleteByWorkIdAndAreaCode(Long workId, String areaCode);
}
