package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.user.MarkUser;
import cn.com.qmth.stmms.ms.core.domain.user.Role;
import cn.com.qmth.stmms.ms.core.vo.Subject;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by zhengmin on 2016/10/6.
 */
public interface MarkUserRepo extends JpaRepository<MarkUser,Long>, JpaSpecificationExecutor {

    List<MarkUser> findByWorkIdAndSubjectAndRole(Long workId, Subject subject, Role role);

	List<MarkUser> findByWorkIdAndRole(Long workId, Role role);

	MarkUser findByLoginName(String loginName);

	List<MarkUser> findByWorkId(Long workId);

	long countByWorkIdAndRole(Long workId,Role role);

	List<MarkUser> findByRole(Role role);

    List<MarkUser> findByWorkIdAndSubject(Long workId, Subject subject);

	@Modifying
	@Query("update MarkUser set groupId = null where workId = ?1 and subject = ?2")
    void updateByWorkIdAndSubject(Long workId, Subject subject);

	List<MarkUser> findByWorkIdAndSubjectAndRoleAndIdNotIn(Long workId, Subject subject, Role markLeader, List<Long> userMarkLeaders);

	@Modifying
	@Query("update MarkUser m set m.groupId = null where m.workId = ?1 and m.subject = ?2")
    void updateGroupIdByWorkIdAndSubject(Long workId, Subject subject);
}
