package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;
import cn.com.qmth.stmms.ms.core.domain.MarkerGroupStudent;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 分组考生
 */
public interface MarkerGroupStudentRepo extends JpaRepository<MarkerGroupStudent, Long> {

    @Transactional
    @Modifying
    @Query("delete from MarkerGroupStudent s where s.groupId = ?1 and s.used = ?2")
    void deleteByGroupIdAndUsed(Long groupId, boolean b);

    List<MarkerGroupStudent> findByWorkIdAndSubjectAndStageAndUsed(Long workId, Subject subject, MarkStage stage, boolean used);

    long countByGroupIdAndUsed(Long groupId, boolean used);

    long countByWorkIdAndSubjectAndStageAndUsed(Long workId, Subject subject, MarkStage stage, boolean b);

    @Transactional
    @Modifying
    @Query("delete from MarkerGroupStudent s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3 and s.used = ?4")
    void deleteByWorkIdAndSubjectAndStageAndUsed(Long workId, Subject subject, MarkStage stage, boolean used);

    @Transactional
    @Modifying
    @Query("delete from MarkerGroupStudent s where s.workId = ?1 and s.subject = ?2 and s.stage = ?3")
    void deleteByWorkIdAndSubjectAndStage(Long workId, Subject subject, MarkStage stage);
}
