package cn.com.qmth.stmms.ms.core.repository;

import cn.com.qmth.stmms.ms.core.domain.TaskPublishSetting;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TaskPublishSettingRepo extends JpaRepository<TaskPublishSetting, Long> {
    List<TaskPublishSetting> findByWorkIdAndSubject(Long workId, String subject);

    @Query("select max(t.publishCount) from TaskPublishSetting t where t.workId = ?1 and t.subject = ?2")
    Integer maxPublishCount(Long workId, String subject);

    @Query(value = "SELECT work_id workId, subject, code, sum(total_count) totalCount, sum(success_count) successCount, sum(wait_count) waitCount FROM task_publish_setting where work_id = ?1 and subject = ?2 and publish_count = ?3 group by work_id, subject, code", nativeQuery = true)
    List<Object[]> findAllByWorkIdAndSubjectAndPublishCount(Long workId, String subject, int maxCount);

    List<TaskPublishSetting> findByWorkIdAndQuestionIdAndSubjectAndPublishCount(Long workId, Long questionId, String name, int maxCount);

    List<TaskPublishSetting> findByWorkIdAndSubjectAndPublishCount(Long workId, String name, int max);

    void deleteByWorkIdAndSubject(Long workId, String name);
}
