package cn.com.qmth.stmms.ms.marking.api;

import cn.com.qmth.stmms.ms.commons.config.ImageConfig;
import cn.com.qmth.stmms.ms.core.domain.ExamQuestion;
import cn.com.qmth.stmms.ms.core.domain.enums.TrialEnum;
import cn.com.qmth.stmms.ms.core.repository.ExamQuestionRepo;
import cn.com.qmth.stmms.ms.core.vo.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 试题api
 * Created by zhengmin on 2016/11/8.
 */
@RestController
@RequestMapping("api/questions")
public class ExamQuestionApi {

    @Autowired
    private ExamQuestionRepo examQuestionRepo;

    @Resource
    ImageConfig imageConfig;

    /**
     * 试题列表
     *
     * @param workId  评卷工作id
     * @param subject 科目
     * @return
     */
    @RequestMapping(method = RequestMethod.GET)
    public List<ExamQuestion> list(@RequestParam Long workId, @RequestParam Subject subject) {
        if (!imageConfig.isCustomSubject()) {
            List<ExamQuestion> questions = examQuestionRepo.findByWorkIdAndSubject(workId, subject);
            if(questions == null || questions.size() == 0){
                questions = examQuestionRepo.findByWorkIdAndSubject(workId, subject);
            }
            return questions;
        } else {
            return examQuestionRepo.findByWorkIdAndSubject(workId, Subject.CUSTOM);
        }
    }

    /**
     * 标准卷对应的考区
     * @param workId
     * @param subject
     * @return
     */
    @RequestMapping(value = "/sampleQuestions", method = RequestMethod.GET)
    public List<ExamQuestion> sampleQuestions(@RequestParam Long workId, @RequestParam Subject subject) {
        List<Object[]> list =  examQuestionRepo.listByWorkIdAndSubject(workId, subject.name());
        List<ExamQuestion> questionList = new ArrayList<>();
        if (list != null && list.size() > 0){
            for (Object[] objects : list) {
                ExamQuestion examQuestion = new ExamQuestion();
                examQuestion.setId(Long.valueOf(objects[0].toString()));
                examQuestion.setAreaName((String) objects[1]);
                examQuestion.setName((String) objects[2]);
                questionList.add(examQuestion);
            }
        }
        return questionList;
    }
}
